[mpich-commits] [mpich] MPICH primary repository branch, master, updated. v3.0.4-346-g8cf54f1

mysql vizuser noreply at mpich.org
Thu Jul 18 09:38:00 CDT 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "MPICH primary repository".

The branch, master has been updated
       via  8cf54f1978db324e5ed6de79eaf74b46a70b70dd (commit)
      from  7a662589e5c0f219468fcc1e2e6f8a5af114336f (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.mpich.org/mpich.git/commitdiff/8cf54f1978db324e5ed6de79eaf74b46a70b70dd

commit 8cf54f1978db324e5ed6de79eaf74b46a70b70dd
Author: Antonio J. Pena <apenya at mcs.anl.gov>
Date:   Tue Jul 16 17:46:28 2013 -0500

    Fixes ticket #1870.
    
    Patching libtool.m4 from autogen.sh to add compatibility with the NAG
    Fortran compiler plus shared libraries.
    
    Signed-off-by: Pavan Balaji <balaji at mcs.anl.gov>

diff --git a/autogen.sh b/autogen.sh
index f0a560a..29b0372 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -906,3 +906,24 @@ if [ "$do_build_configure" = "yes" ] ; then
 	fi
     done
 fi
+
+########################################################################
+## Patching libtool.m4
+########################################################################
+
+# This works with libtool versions 2.4 - 2.4.2.
+# Older versions are not supported to build mpich.
+# Newer versions should have this patch already included.
+# There is no need to patch if we're not going to use Fortran.
+if [ $do_bindings = "yes" ] ; then
+    echo "------------------------------------------------------------------------"
+    echo
+    echo_n "Patching libtool.m4 for compatibility with nagfor shared libraries... "
+    patch --forward -p0 < maint/libtool.m4.patch >/dev/null
+    if [ $? -eq 0 ] ; then
+        echo "done"
+    else
+        echo "failed"
+        exit 1
+    fi
+fi
diff --git a/maint/libtool.m4.patch b/maint/libtool.m4.patch
new file mode 100644
index 0000000..8316416
--- /dev/null
+++ b/maint/libtool.m4.patch
@@ -0,0 +1,11 @@
+--- confdb/libtool.m4 2013-03-29 16:26:23.162062517 -0500
++++ confdb/libtool.m4  2013-06-21 14:22:05.138914413 -0500
+@@ -4817,6 +4817,8 @@
+	lf95*)                          # Lahey Fortran 8.1
+	  _LT_TAGVAR(whole_archive_flag_spec, $1)=
+	  tmp_sharedflag='--shared' ;;
++	nagfor*)                        # NAGFOR 5.3
++	  tmp_sharedflag='-Wl,-shared' ;;
+	xl[[cC]]* | bgxl[[cC]]* | mpixl[[cC]]*) # IBM XL C 8.0 on PPC (deal with xlf below)
+	  tmp_sharedflag='-qmkshrobj'
+	  tmp_addflag= ;;

-----------------------------------------------------------------------

Summary of changes:
 autogen.sh             |   21 +++++++++++++++++++++
 maint/libtool.m4.patch |   11 +++++++++++
 2 files changed, 32 insertions(+), 0 deletions(-)
 create mode 100644 maint/libtool.m4.patch


hooks/post-receive
-- 
MPICH primary repository


More information about the commits mailing list